from pyvelora.core.array_base import ArrayBase
import numpy as np

class Tensor(ArrayBase):

    def __init__(self, data):
        super().__init__(data)
        if self.ndim < 3:
            raise ValueError("Tensor must be 3D or higher")